Subject: Re: bug#22169: 25.0.50; File name compiletion doesn't work with non-ASCII characters on OS X

From: Anders Lindgren <[email-masked]>
Date: Tue, 15 Dec 2015 21:05:55 +0100

Hi,

> Can you write a patch to that effect, for emacs-25 branch?
>

We have the find the cause of the problem first. But once we do that, this
should be straight forward.

>     What does this return:
> >
> >     M-: (file-name-all-completion "åäö" "/that/empty/directory/") RET
> >
> > It returns nil.
>
> So this is the heart of the problem.  I assume that if you do the same
> with an ASCII first argument, the result is non-nil, yes?
>

Yes.

> Then the next step is to step with a debugger through
> file_name_completion, and see why this returns nil instead of a list
> of files that begin.
>

Auhm, I'll see what I can do. I'm a family father and have very, very,
limited time, but I can see in I can find a time slot for it.

    -- Anders